Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.dom
Class AbstractTypeDeclaration

    java.lang.Object
      org.eclipse.jdt.core.dom.ASTNode
          org.eclipse.jdt.core.dom.BodyDeclaration
              org.eclipse.jdt.core.dom.AbstractTypeDeclaration

Direct Known Subclasses:
  AnnotationTypeDeclaration, EnumDeclaration, TypeDeclaration

public abstract class AbstractTypeDeclaration
extends BodyDeclaration

Abstract subclass for type declaration, enum declaration, and annotation type declaration AST node types.

     AbstractTypeDeclaration:
     		TypeDeclaration
     		EnumDeclaration
     		AnnotationTypeDeclaration

Since:
  3.0

Field Summary

Fields inherited from class org.eclipse.jdt.core.dom.ASTNode
`ANNOTATION_TYPE_DECLARATION, ANNOTATION_TYPE_MEMBER_DECLARATION, ANONYMOUS_CLASS_DECLARATION, ARRAY_ACCESS, ARRAY_CREATION, ARRAY_INITIALIZER, ARRAY_TYPE, ASSERT_STATEMENT, ASSIGNMENT, BLOCK, BLOCK_COMMENT, BOOLEAN_LITERAL, BREAK_STATEMENT, CAST_EXPRESSION, CATCH_CLAUSE, CHARACTER_LITERAL, CLASS_INSTANCE_CREATION, COMPILATION_UNIT, CONDITIONAL_EXPRESSION, CONSTRUCTOR_INVOCATION, CONTINUE_STATEMENT, DO_STATEMENT, EMPTY_STATEMENT, ENHANCED_FOR_STATEMENT, ENUM_CONSTANT_DECLARATION, ENUM_DECLARATION, EXPRESSION_STATEMENT, FIELD_ACCESS, FIELD_DECLARATION, FOR_STATEMENT, IF_STATEMENT, IMPORT_DECLARATION, INFIX_EXPRESSION, INITIALIZER, INSTANCEOF_EXPRESSION, JAVADOC, LABELED_STATEMENT, LINE_COMMENT, MALFORMED, MARKER_ANNOTATION, MEMBER_REF, MEMBER_VALUE_PAIR, METHOD_DECLARATION, METHOD_INVOCATION, METHOD_REF, METHOD_REF_PARAMETER, MODIFIER, NORMAL_ANNOTATION, NULL_LITERAL, NUMBER_LITERAL, ORIGINAL, PACKAGE_DECLARATION, PARAMETERIZED_TYPE, PARENTHESIZED_EXPRESSION, POSTFIX_EXPRESSION, PREFIX_EXPRESSION, PRIMITIVE_TYPE, PROTECT, QUALIFIED_NAME, QUALIFIED_TYPE, RETURN_STATEMENT, SIMPLE_NAME, SIMPLE_TYPE, SINGLE_MEMBER_ANNOTATION, SINGLE_VARIABLE_DECLARATION, STRING_LITERAL, SUPER_CONSTRUCTOR_INVOCATION, SUPER_FIELD_ACCESS, SUPER_METHOD_INVOCATION, SWITCH_CASE, SWITCH_STATEMENT, SYNCHRONIZED_STATEMENT, TAG_ELEMENT, TEXT_ELEMENT, THIS_EXPRESSION, THROW_STATEMENT, TRY_STATEMENT, TYPE_DECLARATION, TYPE_DECLARATION_STATEMENT, TYPE_LITERAL, TYPE_PARAMETER, VARIABLE_DECLARATION_EXPRESSION, VARIABLE_DECLARATION_FRAGMENT, VARIABLE_DECLARATION_STATEMENT, WHILE_STATEMENT, WILDCARD_TYPE`

Method Summary
`List` | `bodyDeclarations()` Returns the live ordered list of body declarations of this type declaration.
`SimpleName` | `getName()` Returns the name of the type declared in this type declaration.
`boolean` | `isLocalTypeDeclaration()` Returns whether this type declaration is a local type.
`boolean` | `isMemberTypeDeclaration()` Returns whether this type declaration is a type member.
`boolean` | `isPackageMemberTypeDeclaration()` Returns whether this type declaration is a package member (that is, a top-level type).
`void` | `setName(SimpleName typeName)` Sets the name of the type declared in this type declaration to the given name.

Methods inherited from class org.eclipse.jdt.core.dom.BodyDeclaration
`getJavadoc, getModifiers, modifiers, setJavadoc, setModifiers`

Methods inherited from class org.eclipse.jdt.core.dom.ASTNode
`accept, copySubtree, copySubtrees, delete, equals, getAST, getFlags, getLength, getLocationInParent, getNodeType, getParent, getProperty, getRoot, getStartPosition, getStructuralProperty, nodeClassForType, properties, setFlags, setProperty, setSourceRange, setStructuralProperty, structuralPropertiesForType, subtreeBytes, subtreeMatch, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public SimpleName getName()

  Returns the name of the type declared in this type declaration.

  Returns:
    the type name node
  Since:
    2.0 (originally declared on `TypeDeclaration`)

### setName

    public void setName(SimpleName typeName)

  Sets the name of the type declared in this type declaration to the given name.

  Parameters:
    `typeName` - the new type name
  Throws:
    `IllegalArgumentException` - if:
    - the node belongs to a different AST
    - the node already has a parent
  Since:
    2.0 (originally declared on `TypeDeclaration`)

### bodyDeclarations

    public List bodyDeclarations()

  Returns the live ordered list of body declarations of this type declaration.

  Returns:
    the live list of body declarations (element type: `BodyDeclaration`)
  Since:
    2.0 (originally declared on `TypeDeclaration`)

### isPackageMemberTypeDeclaration

    public boolean isPackageMemberTypeDeclaration()

  Returns whether this type declaration is a package member (that is, a top-level type).

  Note that this is a convenience method that simply checks whether this node's parent is a compilation unit node.

  Returns:
    `true` if this type declaration is a child of a compilation unit node, and `false` otherwise
  Since:
    2.0 (originally declared on `TypeDeclaration`)

### isMemberTypeDeclaration

    public boolean isMemberTypeDeclaration()

  Returns whether this type declaration is a type member.

  Note that this is a convenience method that simply checks whether this node's parent is a type declaration node, an anonymous class declaration, or an enumeration constant declaration.

  Returns:
    `true` if this type declaration is a child of a type declaration node, a class instance creation node, or an enum constant declaration, and `false` otherwise
  Since:
    2.0 (originally declared on `TypeDeclaration`)

### isLocalTypeDeclaration

    public boolean isLocalTypeDeclaration()

  Returns whether this type declaration is a local type.

  Note that this is a convenience method that simply checks whether this node's parent is a type declaration statement node.

  Returns:
    `true` if this type declaration is a child of a type declaration statement node, and `false` otherwise
  Since:
    2.0 (originally declared on `TypeDeclaration`)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.